### Function

# Camel search_util_compare_date

since: 3.58

#### Declaration [src]

    gint
    camel_search_util_compare_date (
      gint64 datetime1,
      gint64 datetime2
    )

#### Description [src]

Compares date portion of the two date-time values, first converted into the local time zone. The returned value is like with strcmp().

Available since: 3.58

#### Parameters

`datetime1`

  Type: `gint64`

  A time_t-like value of the first date-time.

`datetime2`

  Type: `gint64`

  A time_t-like value of the second date-time.

#### Return value

Type: `gint`

0 when the dates are equal, < 0 when first is before second and

> 0 when the first is after the second date.